%define tse_ver 0.2.7-alt4.1
%define kdedir %(kde-config --prefix)

Name: noteedit
Version: 2.8.1
Release: alt3

Summary: Score editor with extensive Midi functionality
Summary(ru_RU.KOI8-R):     Midi.
Group: Sound
License: GPL
#Url: http://rnvs.informatik.tu-chemnitz.de/~jan/%name/%name.html
# since 2.7.4 here
Url: http://developer.berlios.de/projects/%name

Packager: Ildar Mulyukov <ildar@altlinux.ru>

Source: http://download.berlios.de/%name/%name-%version.tar.gz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
Source4: http://rnvs.informatik.tu-chemnitz.de/cgi-bin/nph-sendbin.cgi/~jan/%name/bee5.not.bz2

Patch1: %name-2.8.1-alt-ac.patch
Patch2: kio-clipboard-0.1-admin-new-autotools.patch
Patch3: %name-alt-gcc4.3.patch
Patch4: %name-2.8.1-alt-desktop.patch

Requires: lib%name = %version-%release
Requires: libtse3 >= %tse_ver

BuildPreReq: desktop-file-utils >= 0.8

# Automatically added by buildreq on Sun Nov 09 2008
BuildRequires: flex gcc-c++ kdelibs-devel libtse3-devel

%description
Noteedit is a score editor based on the Midi library TSE3. It can read
and write Midi files and process events sent from an external Midi
keyboard. The configured Midi devices of the system can be used to
playback the score. The score can be saved as MusiXTeX file for printout.

%description -l ru_RU.KOI8-R
Noteedit -   ( ),  
Midi- TSE3.      Midi    
 Midi .   Midi 
    .  
    MusiXTeX  Lilypond  
  .

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries

%description -n lib%name
This package contains shared library required for %name to work.

%description -n lib%name -l ru_RU.KOI8-R
 ,      %name.

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i 's,\.la\>,.so,' configure* admin/acinclude.m4*

%build
%make -f admin/Makefile.common
export KDEDIR=%kdedir

%configure \
	--disable-rpath \
	--disable-static \
	--enable-shared \
	--disable-debug \
	--program-prefix="" \
	--with-libtse3-libs=%_libdir

# SMP-incompatible build
%make

%install
%make DESTDIR=%buildroot install

# icons
mkdir -p %buildroot%_datadir/apps/%name/icons
install -pD -m644 %name/icons/hi32-app-%name.png %buildroot%_iconsdir/hicolor/32x32/apps/%name.png

install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang --with-kde %name

# remove non-packaged files
rm -f %buildroot%_libdir/*.so

%files -n lib%name
%_libdir/*.so.*

%files -f %name.lang
%_bindir/%name
%_datadir/apps/%name
%_datadir/applnk/*/%name.desktop
%_iconsdir/%name.xpm
%_iconsdir/hicolor/*/*/%name.xpm
%_iconsdir/hicolor/32x32/apps/%name.png
%doc AUTHORS FAQ* NEWS README* TODO
%doc noteedit/examples
%doc noteedit/lyrics

%changelog
* Sun Nov 09 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.8.1-alt3
- added patch for building with gcc-4.3 %name-alt-gcc4.3.patch
- fixed desktop file patch  %name-2.8.1-alt-desktop.patch
- cleanup spec

* Wed Jan 23 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.8.1-alt2
- autoconf_2.6 fix by Andrey Rahmatullin <wrar@>
- upstream is dead

* Wed Dec 06 2006 Ildar Mulyukov <ildar@altlinux.ru> 2.8.1-alt1
- 2.8.1
- improved spec

* Fri Mar 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.7.4-alt1
- 2.7.4

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1.2
- rebuild with g++-3.4, requires litse3-0.2.7-alt4.1

* Wed Sep 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1.1
- fixed noteedit.desktop and move it to /usr/share/applications.
- run %%{update,clean}_desktopdb in %%post{,un}.

* Tue Sep 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1
- 2.7.3

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Wed Apr 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Sun Feb 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Jan 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt2
- remove unusual dependendencies and buildreqs.

* Mon Dec 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Fri Nov 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Sun Sep 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Jul 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Fri Jun 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Thu Apr 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sun Mar 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.19-alt1
- 2.0.19

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.18-alt1
- 2.0.18

* Fri Nov 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.17-alt1
- 2.0.17

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.16-alt2
- Rebuild with new QT3/KDE3.

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.16-alt1
- new version
- built with gcc3.2

* Sat Aug 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.10-alt1
- 2.0.10
- built with newer tse3-0.2.5

* Thu Jun 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Mon Jun 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuilt with newer tse3-0.2.3

* Thu Jun 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- qt3/kde3, alsa2 only supported now.

* Tue May 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.18.3-alt2
- rebuilt with qt3/kde3, tse3-0.1.3
- buildrequires updated.

* Sat Apr 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.18.3-alt1
- 1.18.3
- alsa2 by default.
- qt_ver option.

* Wed Feb 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17.1-alt1
- new version

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.17.0-alt4
- Updated buildrequires.
- Moved shared library to lib%name subpackage.

* Mon Feb 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt3
- build process corrected for bison 1.32

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt2
- cleanups

* Mon Jan 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt1
- Updated to 1.17

* Tue Dec 20 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.16.1-alt1
- Updated to 1.16.1, built with new TSE3 library (0.1.2)

* Tue Dec 11 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.15.3-alt1
- Updated to 1.15.3.

* Tue Nov 6 2001 - Yuri N. Sedunov <aris@altlinux.ru> 1.15.2-alt4
- Minor specfile cleanup. Automatically added buildrequres.

* Mon Nov 5 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt3
_ rebuilt with reorganized tse3

* Sat Nov 3 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt2
- rebuilt with modified tse3 (arts support disabled)

* Wed Oct 31 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt1
- First build for Sisyphus
